Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XMLSlideShow

    java.lang.Object
      org.apache.poi.xslf.usermodel.XMLSlideShow

All Implemented Interfaces:
  org.apache.poi.sl.usermodel.SlideShow

    public class XMLSlideShow

extends java.lang.Object
implements org.apache.poi.sl.usermodel.SlideShow

High level representation of a ooxml slideshow. This is the first object most users will construct whether they are reading or writing a slideshow. It is also the top level object for creating new slides/etc.

Constructor Summary
`XMLSlideShow(XSLFSlideShow xml)`

Method Summary
`XSLFSlideShow` | `_getXSLFSlideShow()`
`org.apache.poi.sl.usermodel.MasterSheet` | `createMasterSheet()`
`org.apache.poi.sl.usermodel.Slide` | `createSlide()`
`org.apache.poi.sl.usermodel.MasterSheet[]` | `getMasterSheet()`
`org.apache.poi.sl.usermodel.Resources` | `getResources()`
`org.apache.poi.sl.usermodel.Slide[]` | `getSlides()` Return all the slides in the slideshow

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSlideShow

    public XMLSlideShow(XSLFSlideShow xml)
                 throws org.apache.xmlbeans.XmlException,
                        java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `java.io.IOException`

Method Detail

### _getXSLFSlideShow

    public XSLFSlideShow _getXSLFSlideShow()

### createMasterSheet

    public org.apache.poi.sl.usermodel.MasterSheet createMasterSheet()
                                                              throws java.io.IOException

  Specified by:
    `createMasterSheet` in interface `org.apache.poi.sl.usermodel.SlideShow`
  Throws:
    `java.io.IOException`

### createSlide

    public org.apache.poi.sl.usermodel.Slide createSlide()
                                                  throws java.io.IOException

  Specified by:
    `createSlide` in interface `org.apache.poi.sl.usermodel.SlideShow`
  Throws:
    `java.io.IOException`

### getMasterSheet

    public org.apache.poi.sl.usermodel.MasterSheet[] getMasterSheet()

  Specified by:
    `getMasterSheet` in interface `org.apache.poi.sl.usermodel.SlideShow`

### getSlides

    public org.apache.poi.sl.usermodel.Slide[] getSlides()

  Return all the slides in the slideshow

  Specified by:
    `getSlides` in interface `org.apache.poi.sl.usermodel.SlideShow`

### getResources

    public org.apache.poi.sl.usermodel.Resources getResources()

  Specified by:
    `getResources` in interface `org.apache.poi.sl.usermodel.SlideShow`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD